require "import"
import "android.content.Context"
import "android.os.Vibrator"
import "android.media.MediaPlayer"
import "android.widget.*"
import "com.androlua.*"
import "java.io.File"
import "android.content.Intent"
import "android.net.Uri"

local context = activity or service
local vibrator = context.getSystemService(Context.VIBRATOR_SERVICE)

-- Función para abrir un enlace en el navegador
local function openLink(url)
  local intent = Intent(Intent.ACTION_VIEW, Uri.parse(url))
  context.startActivity(intent)
end

local function openLinkAndCloseDialog(url)
  openLink(url)
  vibrator.vibrate(100)
  dlg.dismiss()
end

layout = {
  LinearLayout,
  orientation = LinearLayout.VERTICAL,
  {
    TextView,
    text = "Redes Sociales",
    textSize = "20sp",
    gravity = "center",
    padding = "16dp",
  },
  {
    LinearLayout,
    layout_width = "match_parent",
    layout_height = "wrap_content",
    orientation = "horizontal",
    {
      Button,
      text = "Facebook",
      onClick = function()
        openLinkAndCloseDialog("https://www.facebook.com/share/KADcFsgsCoLbrPXN/?mibextid=qi2Omg")
      end
    },
    {
      Button,
      text = "Instagram",
      onClick = function()
        openLinkAndCloseDialog("https://www.instagram.com/craiderolvera?utm_source=qr&igsh=MXQ2NmZ2b3dqdTR2cg==")
      end
    },
    {
      Button,
      text = "TikTok",
      onClick = function()
        openLinkAndCloseDialog("https://www.tiktok.com/@elcraiderolbera?_t=8msKncLZWBZ&_r=1")
      end
    },
    {
      Button,
      text = "YouTube",
      onClick = function()
        openLinkAndCloseDialog("https://www.youtube.com/@Adan-jh8nz")
      end
    }
  },
  {
    Button,
    text = "Cerrar",
    onClick = function()
      vibrator.vibrate(100)
      dlg.dismiss()
    end
  }
}

dlg = LuaDialog(service)
dlg.View = loadlayout(layout)
dlg.show()